Verify workspace domain
Look up the domain's TXT record and verify the domain when it matches.
POST
Look up the domain's TXT record and verify the domain when it matches.
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuiddomain_id*Domain IdFormat
uuidSuccessful Response
application/json- response
created_at*Created AtFormat
date-timedomain*Domainid*IdFormat
uuidlast_checked_at*|nullstatus*StatusValue in
"pending""verified"txt_record_name*Txt Record NameWhere to publish the TXT record.
txt_record_value*Txt Record ValueThe exact TXT value that proves the domain.
verified_at*|nullcurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/identity/domains/497f6eca-6276-4993-bfeb-53cbbbba6f08/verify'Example Response
{ "created_at": "2019-08-24T14:15:22Z", "domain": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_checked_at": "2019-08-24T14:15:22Z", "status": "pending", "txt_record_name": "string", "txt_record_value": "string", "verified_at": "2019-08-24T14:15:22Z"}